Subject: Re: [PATCH] fix tcp_default_win_scale.

From: David Ford <[email-masked]>
Date: Tue, 06 Jul 2004 16:54:25 -0400

By recruiting someone with enough of a technology clue to scroll to the 
bottom of the message and read: "To unsubscribe from ...."

:P

David
p.s. and I wonder why I have so little faith in marketing and HR.

Tim Berti wrote:

>How do i get off this list?
>
>Tim Berti 
>Senior Recruiter 
>TECHNOLOGY SEARCH INTERNATIONAL 
>1737 North First Street, Suite 600 
>San Jose, CA. 95112 
>http://www.tsearch.com 
>Email: [email-masked] 
>Phone: 408-437-9500 Ext. 303 
>
>
>
>-----Original Message-----
>From: Stephen Hemminger [mailto:[email-masked]]
>Sent: Tuesday, July 06, 2004 1:37 PM
>To: David S. Miller
>Cc: [email-masked]; [email-masked]; [email-masked];
>[email-masked]
>Subject: Re: [PATCH] fix tcp_default_win_scale.
>
>
>On Tue, 6 Jul 2004 13:28:22 -0700
>"David S. Miller" <[email-masked]> wrote:
>
>  
>
>>On Tue, 6 Jul 2004 13:05:49 -0700
>>Stephen Hemminger <[email-masked]> wrote:
>>
>>    
>>
>>>On Tue, 6 Jul 2004 20:40:34 +0100
>>>Jamie Lokier <[email-masked]> wrote:
>>>
>>>      
>>>
>>>>Are you saying there are broken firewalls which strip TCP options in
>>>>one direction only?
>>>>        
>>>>
>>>It appears so.
>>>      
>>>
>>Ok, this is a possibility.  And why it breaks is that if the ACK
>>for the SYN+ACK comes back, the SYN+ACK sender can only assume
>>that the window scale was accepted.
>>
>>Stephen, do you have a trace showing exactly this?
>>    
>>
>
>No, I don't have a br0ken firewall here.  I can get out fine.
>When I setup with same kernel as packages.gentoo.org, it works fine as well.
>-
>To unsubscribe from this list: send the line "unsubscribe linux-net" in
>the body of a message to [email-masked]
>More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>  
>